<?php

/**
 * Classe dédiée à la gestion de l'objet du workflow : DEBUT
 */
class VisuWorflowDEBUT extends ObjetVisuWorflow
{

    protected $TYPE;

    protected $NOM;

    protected $ETAT;

    protected $STATUT;

    protected $LIBELLE;

    protected $DATA;

    public function __construct($typeSuivi, $no_doc)
    {
        $this->TYPE = 'S';
        $this->NOM = 'DEBUT';
        $this->LIBELLE = trad('DEBUT');
        
        $this->initETAT($typeSuivi, $no_doc);
        
        if ($this->ETAT)
            $this->initSTATUT($typeSuivi, $no_doc);
    }

    public function &getETAT()
    {
        return $this->ETAT;
    }

    public function &getSTATUT()
    {
        return $this->STATUT;
    }

    public function &getTYPE()
    {
        return $this->TYPE;
    }

    public function &getNOM()
    {
        return $this->NOM;
    }

    public function &getLIBELLE()
    {
        return $this->LIBELLE;
    }

    public function &getDATA()
    {
        return $this->DATA;
    }

    public function initETAT(& $typeSuivi, & $no_doc)
    {
        $this->ETAT = 1;
    }

    public function initSTATUT(& $typeSuivi, & $no_doc)
    {
        $this->STATUT = 'T';
    }

    public function &initDATA($no_doc)
    {}
}
